/****************************************************************************
* e2Ligth4 - Light Control  for Rokr E2
*
* Autor: Carlos Aguilar aka "Kidscracker" kidscracker@gmail.com
* Date: 2008/12/11 10:17 pm GMT - 5
* version 0.1beta1:
*	- First 100% working version with small details not important
*
* version 0.2beta2 2008/12/15) :
*	- Added Multilingual Support (written system from scratch)
*	- Added LanguageConfig Sub Class of ConfigFile Class
*	- Changed the organization of the code
*
* version 0.2beta2b 2008/12/15) :
*	- Fixed a bug when using unicode languages
*	- Added Russian languages thanks to AstaR0th 
*
* version 0.3 Final Release (2008/12/16) :
*	- Replaced the combobox with a NumModule
*	- Added icons for the softkeys
*	- Optimized the code and commented
*
* version 0.4 Beta 1 (2008/12/27) :
*	- Cleaned the code and started almost from scratch
*	- Fixed a bug in ConfigFile class, it generates a fault when getKeyValue 
*	   was called for a Key that doesn't exist. 
*	- Added language autodetection (Suggested by Blink from Motohell)
*	- Added Menu
*
* version 0.4 Beta 2 (2009/01/14) :
*	- Replaced the ConfigFile class with the ZConfig to reduce code size and 
*	  compatibility
*	- Implemented using singleton patner to make code clear
*
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
//tar zcvf e2litght.mpkg carpeta 
/*
 chmod 755 -R e2light4 && chmod 755 -R e2light4
 chown ezx:ezx -R e2light4 && chmod 755 -R e2light4
 tar zcvf e2light4beta4.mpkg e2light4
 
*/
//#define EZX_H
/*
#define QT_NO_DRAGANDDROP
#define QT_NO_PROPERTIES
*/
#include "ZGui.h"

using namespace std;

ZApplication* app;

ZConfig* cfg;
LanguageConfig* lng;

/*
   main proc, here starts the program
   
*/
int main( int argc, char **argv )
{
	// Create App
    ZApplication* app = new ZApplication(argc,argv);
	QDir homePath = QDir( QString( dirname( argv[0] ) ) );

	ZGui* gui = new ZGui(NULL, "E2Light_APP", homePath,0);

	app->setMainWidget( gui );
	gui->show();

	int result = app->exec();
	delete gui;
	gui=NULL;

    return result;
}
#include "moc_zBase_Panel.cpp"
#include "moc_ZGui.cpp"
#include "moc_zLanguage_Panel.cpp"
#include "moc_zLights_Panel.cpp"
#include "moc_zBT_Panel.cpp"
#include "moc_zSound_Panel.cpp"
#include "moc_zSDManager_Panel.cpp"
