/****************************************************************************
* e2Ligth4 - Light Control  for Rokr E2
*
* Autor: Carlos Aguilar aka "Kidscracker" kidscracker@gmail.com
*
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef __MAIN_H

#define __MAIN_H

// Include files for EZX platafform

#ifdef EZX_H
	/* Using E2_EZX_ names convention from lasly's SDK */
	#include <E2_EZX_ZApplication.h>

#else
	/* Using standarized names convention SDK */
	#include <ZApplication.h>

#endif

/* Standard Includes */

#include <qdir.h>
#include <qdict.h>
#include <sys/ioctl.h>

#include <qfontmanager_qws.h>
#include <qfontdatabase.h>
#include <qstringlist.h>
#include <qscrollview.h>

#include <iostream> // For output to console
#include <algorithm> // For using Iterators

/* For file access */
#include <fstream>
#include <sstream>
#include <cstdio>

#include <libgen.h>

#include <QString.h>

//#include "ConfigFile.h"

#endif
