#/!bin/bash
MYPATH='/mmc/mmca1/tmp';
MYBIN='e2light4';
TIMESTAMP=`ls -l $MYBIN|awk '{print $6$7$8}'`;
echo $TIMESTAMP;
echo "Compilando Proyecto ($MYBIN) ..."
make
if [ "$?" -ne "0" ]; then
	echo "Han habido problemas al compilar Proyecto ($MYBIN) ... Saliendo"
else

	echo "Compilacion Exitosa"
	TIMESTAMP2=`ls -l $MYBIN|awk '{print $6$7$8}'`;
	echo $TIMESTAMP2;
	if [ '$TIMESTAMP' != '$TIMESTAMP2' ]; then
		echo "Enviando $MYBIN a $MYPATH via FTP ... "
		ncftpput -u "root" -p "" 192.168.16.2 $MYPATH $MYBIN
		echo
		echo "Archivo enviado Correctamente"
	fi
	
	echo "Generando script para ejecucion automatica en el Celular ..."
	echo 192.168.16.2 >auto.txt
	echo WAIT \"SUMATRA login:\">>auto.txt
	echo SEND \"root\\m\">>auto.txt
	echo WAIT \"root:~#\">>auto.txt
	echo SEND \"cd $MYPATH\\m\">>auto.txt
	echo WAIT \"root:$MYPATH#\">>auto.txt
	echo SEND \"export PATH=\$PATH:$MYPATH\\m\">>auto.txt
	echo WAIT \"root:$MYPATH#\">>auto.txt
	echo SEND \"$MYBIN\\m\">>auto.txt
	echo WAIT \"root:$MYPATH#\">>auto.txt
	echo "Script generado"
	echo "Conectando con el celular via Telnet y ejecutando script..."
	tst10 /r:auto.txt
	echo "Script terminado"
	echo "Eliminando el script generado"
	rm auto.txt

fi