/****************************************************************************
* e2Ligth4 - Light Control  for Rokr E2
*
* Autor: Carlos Aguilar aka "Kidscracker" kidscracker@gmail.com
*
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __ZBASE_PANEL_H
#define __ZBASE_PANEL_H
/*
#define QT_NO_DRAGANDDROP
#define QT_NO_PROPERTIES
*/
#ifdef EZX_H
	#include <E2_EZX_ZMainWidget.h>	
	#include <E2_EZX_ZScrollPanel.h>	
	
	#include <E2_EZX_ZSoftKey.h>
#else
	#include <ZMainWidget.h>
	#include <ZScrollPanel.h>
	#include <ZSoftKey.h>
#endif

#include <iostream>

class ZGui;
//Q_EXPORT
class zBase_Panel : public ZMainWidget
{
	Q_OBJECT
//    Q_PROPERTY( ZScrollPanel* tabSPanel READ getSPanel )
//	Q_PROPERTY( ZGui* parent READ getParent )
public:
    zBase_Panel (QWidget* parent, const char* name=0 );
    virtual ~zBase_Panel(){};
	ZGui* getParent(){return parent;};
	ZScrollPanel* getSPanel() {return tabSPanel;};

	ZSoftKey* getSoftKey() {return SoftKey;};
	virtual void updateControlValues(bool fRedraw = false){};
	virtual void slotLanguageChanged(bool fRedraw = false){};
//	virtual ZOptionsMenu* getMainMenu (ZOptionsMenu* MainMenu = NULL);

protected:
	ZScrollPanel* tabSPanel;
	ZGui* parent;
	ZSoftKey* SoftKey;
};

#endif
