/****************************************************************************
* e2Ligth4 - Light Control  for Rokr E2
*
* Autor: Carlos Aguilar aka "Kidscracker" kidscracker@gmail.com
*
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef __ZSDMANAGER_PANEL_H
#define __ZSDMANAGER_PANEL_H

#ifdef EZX_H
	#include <E2_EZX_ZWidget.h>
	#include <E2_EZX_ZKbMainWidget.h>	
	#include <E2_EZX_ZMainWidget.h>
	#include <E2_EZX_ZLabel.h>
	#include <E2_EZX_ZComboBox.h>
	#include <E2_EZX_ZSoftKey.h>
	#include <E2_EZX_ZMessageDlg.h>
	#include <E2_EZX_ZSingleSelectDlg.h>
	#include <E2_EZX_ZNumPickerDlg.h>

	#include <E2_EZX_ZScrollPanel.h>
	#include <E2_EZX_ZScrollView.h>
	#include <E2_EZX_ZListBox.h>
	#include <E2_EZX_ZNoticeDlg.h>
	
	#include <E2_EZX_ZSliderModule.h>
	
	#include <E2_EZX_ZPressButton.h>
//	#include <E2_EZX_ZImageContainer.h>
	
#else
	#include <ZWidget.h>
	#include <ZMainWidget.h>
	#include <ZLabel.h>
	#include <ZComboBox.h>
	#include <ZSoftKey.h>
	#include <ZMessageDlg.h>
	#include <ZSingleSelectDlg.h>
	#include <ZNumPickerDlg.h>

	#include <ZScrollPanel.h>
	#include <ZScrollView.h>
	#include <ZListBox.h>
	#include <ZNoticeDlg.h>

	#include <ZSliderModule.h>
	
	#include <ZPressButton.h>
//	#include <ZImageContainer.h>
#endif	

#include <qpainter.h>
#include <qwidget.h>

#include "zBase_Panel.h"

#include <qlayout.h>

#include <qvbox.h>

#include <qfile.h>
#include <qtextstream.h>
#include <qstringlist.h>

#include <iostream>

#include <mntent.h>

class ZGui;

class zSDManager_Panel : public zBase_Panel
{
	Q_OBJECT
public:
    zSDManager_Panel (ZGui* parent);
    ~zSDManager_Panel();
	ZGui* getParent();
	ZScrollPanel* getSPanel();
	void DetectMounted();
	
	virtual void slotLanguageChanged(bool fRedraw);

public slots:
	void timerEvent(QTimerEvent* e);

	void slotClickedIcon(const SelectionState state);
	
private:
	
};

#endif
